import Martini from '@mapbox/martini';
export function RasterTriangulation(parserData) {
  var coordinates = parserData.coordinates,
      data = parserData.data,
      min = parserData.min,
      max = parserData.max,
      width = parserData.width,
      height = parserData.height;
  var maxlength = Math.max(width, height);
  var gridSize = Math.pow(2, Math.ceil(Math.log2(maxlength))) + 1;
  var terrain = new Float32Array(gridSize * gridSize);

  for (var i = 0; i < width; i++) {
    for (var j = 0; j < height; j++) {
      terrain[i * gridSize + j] = data[i * width + j];
    }
  }

  var martini = new Martini(gridSize);
  var tile = martini.createTile(terrain);
  var mesh = tile.getMesh(gridSize / 2);
  return {
    vertices: Array.from(mesh.vertices),
    indices: Array.from(mesh.triangles),
    size: 2
  };
}
//# sourceMappingURL=triangulation.js.map